Search documentation of Ragex

# Ragex.MCP.Debug (Ragex v0.4.0)

View Source

Helper functions for debugging MCP protocol issues.

Usage in IEx:

    iex> Ragex.MCP.Debug.test_initialize()
    iex> Ragex.MCP.Debug.test_tools_list()
    iex> Ragex.MCP.Debug.test_analyze()

## Summary

### Functions

help()

Start IEx with helpful context.

process_message(message)

Process a decoded message (simulating Server.handle_message).

test_analyze(path \\ ".")

Test analyzing a directory.

test_initialize()

Test the initialize handshake.

test_message(message)

Test a raw message and show the response.

test_tools_list()

Test listing tools.

## Functions

# help()

Start IEx with helpful context.

# process_message(message)

Process a decoded message (simulating Server.handle_message).

# test_analyze(path \\ ".")

Test analyzing a directory.

# test_initialize()

Test the initialize handshake.

# test_message(message)

Test a raw message and show the response.

# test_tools_list()

Test listing tools.